%global _python3_include %(%{__python3} -Ic "from distutils.sysconfig import get_python_inc; print(get_python_inc())")
%global _python3_lib /usr/%{_lib}/lib%(basename %{_python3_include}).so

Name:    kig
Summary: Interactive Geometry 
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/education/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

Patch1: 0001-explicitly-use-QLibrary-to-load-libpython-like-pykde.patch


BuildRequires: boost-devel
BuildRequires: python3
BuildRequires: python3-rpm-macros
BuildRequires: python3-devel
BuildRequires: (python3-setuptools if python3-devel >= 3.12)

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libappstream-glib

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros

BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5TextEditor)
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5IconThemes)
BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5CoreAddons)

BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5XmlPatterns)

Conflicts: kdeedu-math < 4.7.0-10

%description
%{summary}.


%prep
%setup  -q

%patch1 -p1 -b .0001

sed -ie "s|^#!/usr/bin/env python3$|#!%{__python3}|" pykig/pykig.py


%build
%cmake_kf5 \
  -DPYTHON_EXECUTABLE:PATH=%{__python3} \
  -DPYTHON_INCLUDE_DIR=%{_python3_include} \
  -DPYTHON_LIBRARY=%{_python3_lib} \
  -DBoostPython_INCLUDE_DIRS="%{_python3_include};%{_includedir}/boost" \
  -DBoostPython_LIBRARIES="%{_python3_lib};%{_libdir}/libboost_python%{python3_version_nodots}.so"

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html --with-man


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.%{name}.desktop


%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/%{name}*
%{_kf5_bindir}/pykig.*
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/icons/hicolor/*/apps/%{name}.*
%{_kf5_datadir}/icons/hicolor/*/mimetypes/application-x-%{name}.*
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_plugindir}/parts/kigpart.so
%{_kf5_datadir}/katepart5/syntax/python-kig.xml
%{_mandir}/man1/kig.1*


%changelog
* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
